package org.tio.sitexxx.service.model.main;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2024-12-17 17:23
 *    desc   : 引用消息
 * </pre>
 */
public class Reference {
    /**
     * 类型
     */
    private String content;
    /**
     * 类型
     */
    private Integer type;
    /**
     * 引用序号
     */
    private String referenceId;
    /**
     * 引用内容
     */
    private String referenceContent;
    /**
     * 引用名称
     */
    private String referenceName;
    /**
     * 引用用户序号
     */
    private String referenceUserId;

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public void setReferenceContent(String referenceContent) {
        this.referenceContent = referenceContent;
    }

    public String getReferenceContent() {
        return referenceContent;
    }

    public String getReferenceId() {
        return referenceId;
    }

    public void setReferenceId(String referenceId) {
        this.referenceId = referenceId;
    }

    public void setReferenceName(String referenceName) {
        this.referenceName = referenceName;
    }

    public String getReferenceName() {
        return referenceName;
    }

    public void setReferenceUserId(String referenceUserId) {
        this.referenceUserId = referenceUserId;
    }

    public String getReferenceUserId() {
        return referenceUserId;
    }
}
